<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [atExit](./bitburner.ns.atexit.md)

## NS.atExit() method

Add callback function when the script dies

**Signature:**

```typescript
atExit(f: () => void): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  f | () =&gt; void |  |

**Returns:**

void

## Remarks

RAM cost: 0 GB

NS2 exclusive

Add callback to be executed when the script dies.

